Skip to content

Transportial OTMS API (0.9.74)

Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.transportial.com/_mock/apis
Test environment
https://test.api.otms.transportial.com/api
Production
https://api.otms.transportial.com/api

Calendar Events

Calendar occurrences for vehicles within a date range.

Operations

Tender

Tenders can be stacked and constrain different activities in their context

Operations

Widget

Widgets can be stacked and constrain different activities in their context

Operations

Vehicle

A Vehicle is a means to transport consignments from one location to potentially multiple other locations. There are various types of vehicles, each with their own unique properties like size, dimensions, fuel type and means of tranport (by air, on land, over sea).

Operations

Trip

A Trip is an aggregate entity that combines various entities to model visiting various locations, potentially doing one or multiple actions on each location, such as loading or unloading consignments. It is optionally coupled to a Vehicle that is/was driving this trip.

Operations

File

File management. Upload, retrieve and download files. Categorized by it's purpose.

Operations

CapacityContract

The CapacityContract is the entity to model a contract of a purchase of certain amount of scheduled capacity.

Operations

MessageTemplate

MessageTemplates can be stacked and constrain different activities in their context

Operations

Business

Business is a base entity that describes a companies information. Thiis entity is used for contracts, clients, invoices, quotes, etc. It can be any type of relation you do business with.

Operations

SAML

SAML Configuration for Single-SignOn(SSO) establishment between Service-Provider(SP) and Identity-Provider(IDP)

Operations

Route

A route models the path going from one location to at least one other location.

Operations

Chat

Sending messages to users grouped by rooms

Operations

TransportEquipment

TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Insights

All the insights you need can be gathered from these endpoints

Operations

User

Users related to the platform and all actions required

Operations

DocumentTemplate

Visual document template designer for creating CMR, invoices, quotes and custom documents

Operations

Message automation

MessageAutomations are communication automation connectors that can use events

Operations

Chauffeur

Chauffeurs are the people who are responsible for controlling a Vehicle. They have schedules, planning and legal responsibilities.

Operations

User roles

The permissions grouped by a "Role", that can be assigned to a user

Operations

StackMap

A stackMap models the snapshots of planned stacking across locations.

Operations

Quote

Quotes

Operations

ScheduleRoute

A scheduleRoute is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

VehicleGroup

A VehicleGroup is a group of Vehicle's. Groups can be used to reference a list of vehicles without having to select each individual one.

Operations

LedgerEntry

LedgerEntry ...

Operations

Goods

Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.

Operations

Transaction

Transactions

Operations

Async

Generic asynchronous request results

Operations

Terminal

Terminal management for term&conditions in forwarded orders

Operations

Notification

Notification endpoint to notify people, groups or the entire user base of things they might want to know or need to know

Operations

Capacity

A capacity models the amount of cargo, a schedule can deliver.

Operations

Attribute

Object describing a geographic attribute. A attribute can either be a point or an area.

Operations

Sensor

A sensor is a device that is able to measure a quantity in a certain unit, such as measuring the speed in km/h.

Operations

Camera

A Camera.

Operations

Location

Object describing a geographic location. A location can either be a point or an area.

Operations

TransportOrder

The TransportOrder is the top-level entity to model a group of related consignments that might be transported separately, but need to be administered together.

Operations

Update transportOrder

Request

Update a transportOrder

Security
bearer or apiKey or apiSecret
Headers
Authorizationstringrequired
Bodyapplication/jsonrequired
noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

uuidstringrequired
primaryPlatformIdstringrequired
languageobject

circular reference

orderIdstring

Order ID is the Unique Identifier specifically for orders. If not set, the serve will generate one.

namestringrequired

Name of the TransportOrder, for display and search purposes only.

typestring

The type of Transport Order. Normal Transport Orders are defined as standard.

Default "STANDARD"
Enum"standard""urgent""expected""forwarded"
statusstring

The status of the TransportOrder. It shows the lifecycle of the order.

Enum"declined""cancelled""requested""accepted""calculated_trip""partially_planned""planned""actual""realized""concept"
descriptionstring

The description of the transport order

referenceDescriptionstring

The reference description of the transport order. This often is the invoice reference or reference of the customer side

customerobject(CustomerModel)required

The Customer, who this transport order is executed for

customer.​noncestring

Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

customer.​uuidstringrequired
customer.​primaryPlatformIdstringrequired
customer.​languageobject

circular reference

customer.​businessobject

circular reference

customer.​contactPersonobject(ContactPersonModel)
customer.​locationobject

circular reference

customer.​customerobject

circular reference

mailMessageobject(MailMessageModel)
vatobject(TaxRateModel)
deliveryTermsstring
Enum"EXW""FCA""FAS""FOB""CPT""CIP""CFR""CIF""DAP""DPU"
externalAttributesobject
teamobject(TeamModel)
documentsArray of objects(DocumentAssociation)
consignmentsArray of objects(ConsignmentAssociation)
contactDetailsArray of objects(ContactDetailAssociation)
identifiersArray of objects(IdentifierModel)
pricingElementsArray of objects(PricingElement)
invoicesArray of objects(InvoiceModel)
administrationobject(AdministrationModel)
shareSettingsobject(TransportOrderShareSettings)
templateboolean
expectedRevenueobject(CumulativeMoneyModel)
expectedCostobject(CumulativeMoneyModel)
versionNumberinteger(int32)
curl -i -X PUT \
  https://docs.transportial.com/_mock/apis/transportOrder \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nonce": "string",
    "uuid": "string",
    "primaryPlatformId": "string",
    "language": {},
    "orderId": "string",
    "name": "string",
    "type": "standard",
    "status": "declined",
    "description": "string",
    "referenceDescription": "string",
    "customer": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "business": {},
      "contactPerson": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "firstName": "string",
        "lastName": "string",
        "position": "string",
        "email": "string",
        "phone": "string",
        "mobilePhone": "string"
      },
      "location": {},
      "customer": {}
    },
    "mailMessage": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "imap": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "host": "string",
        "port": "string",
        "username": "string",
        "password": "string",
        "enabled": true
      },
      "contentId": "string",
      "messageNumber": 0,
      "receivedDate": "2019-08-24T14:15:22Z",
      "sentDate": "2019-08-24T14:15:22Z",
      "read": true,
      "starred": true,
      "subject": "string",
      "plainText": "string",
      "text": "string",
      "sender": {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "email": "string",
        "smtp": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "host": "string",
          "port": "string",
          "username": "string",
          "password": "string",
          "useOAuth": true,
          "tenantId": "string",
          "clientId": "string",
          "clientSecret": "string",
          "oauthScopes": "string"
        },
        "imap": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "host": "string",
          "port": "string",
          "username": "string",
          "password": "string",
          "enabled": true
        }
      },
      "recipients": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "email": "string",
          "smtp": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "host": "string",
            "port": "string",
            "username": "string",
            "password": "string",
            "useOAuth": true,
            "tenantId": "string",
            "clientId": "string",
            "clientSecret": "string",
            "oauthScopes": "string"
          },
          "imap": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "host": "string",
            "port": "string",
            "username": "string",
            "password": "string",
            "enabled": true
          }
        }
      ],
      "attachments": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "url": "string",
          "path": "string",
          "name": "string",
          "originalName": "string",
          "size": 0,
          "purpose": "string",
          "type": "IMAGE",
          "mimeType": "string",
          "extension": "string",
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "bucket": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string"
          },
          "uploadedAt": "2019-08-24T14:15:22Z",
          "tempFile": "string",
          "contentMatrix": [
            [
              "string"
            ]
          ]
        }
      ],
      "threadId": "string",
      "parentMessageId": "string",
      "linkedTransportOrderIds": [
        "string"
      ],
      "linkedConsignmentIds": [
        "string"
      ]
    },
    "vat": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "name": "string",
      "creditCode": "string",
      "debitCode": "string",
      "description": "string",
      "jurisdiction": "string",
      "percentage": 0.1,
      "inclusive": true,
      "active": true,
      "identifiers": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "system": "string",
          "value": "string",
          "expiredAt": "2019-08-24T14:15:22Z"
        }
      ]
    },
    "deliveryTerms": "EXW",
    "externalAttributes": {
      "property1": {},
      "property2": {}
    },
    "team": {
      "nonce": "string",
      "uuid": "string",
      "primaryPlatformId": "string",
      "language": {},
      "name": "string",
      "transportOrderPrefix": "string",
      "consignmentPrefix": "string",
      "users": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "type": "user",
          "username": "string",
          "avatar": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string",
            "contentMatrix": [
              [
                "string"
              ]
            ]
          },
          "firstName": "string",
          "lastName": "string",
          "email": "string",
          "phone": "string",
          "password": "string",
          "passwordModified": "2019-08-24T14:15:22Z",
          "twoFactorAuthentication": true,
          "status": "DELETED",
          "loginMethod": "DEFAULT",
          "role": {
            "nonce": "string",
            "name": "string",
            "level": 0,
            "permissions": [
              {
                "nonce": "string",
                "name": "string",
                "read": true,
                "write": true,
                "delete": true,
                "permissionScope": "PUBLIC",
                "isObjectPermission": true
              }
            ],
            "specifiedPlatformId": "string"
          },
          "timezone": "string",
          "currency": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "vehicleGroups": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "vehicles": [
                {
                  "language": {},
                  "business": {},
                  "pictures": [],
                  "loadCapacities": [],
                  "axles": [],
                  "boardComputers": [],
                  "notes": [],
                  "sensors": [],
                  "fleets": [],
                  "chauffeurs": [],
                  "transportEquipments": [],
                  "actors": [],
                  "identifiers": [],
                  "cameras": [],
                  "pricingModules": [],
                  "attributes": []
                }
              ]
            }
          ],
          "activeAdministration": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "platforms": [
              {}
            ],
            "name": "string",
            "primary": true,
            "transportOrderPrefix": "string",
            "consignmentPrefix": "string",
            "business": {},
            "currency": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "bankAccounts": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "accountHolderName": "string",
                "accountHolderType": "string",
                "bankName": "string",
                "routingNumber": "string",
                "accountNumber": "string",
                "last4": "string",
                "currency": {},
                "country": "string",
                "validation": {},
                "validated": true,
                "identifiers": [
                  null
                ]
              }
            ],
            "numberFormat": "string",
            "numberLength": 0,
            "dueDays": 0,
            "invoiceNumberIndex": {
              "property1": 0,
              "property2": 0
            },
            "quoteNumberIndex": {
              "property1": 0,
              "property2": 0
            },
            "invoiceSendMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "automaticallySendReminders": true,
            "invoiceFirstReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoiceSecondReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoiceThirdReminderMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoicePaidMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "quoteSendMessageAutomation": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "type": "messageAutomation",
              "name": "string",
              "description": "string",
              "automationConfig": {
                "triggerType": "trigger",
                "triggerEvent": "afterCreatingTrip",
                "schedule": {},
                "uniqueIdentifierSelector": "string",
                "uniqueIdentifierSchedule": {},
                "filters": [
                  null
                ],
                "query": {
                  "fields": [],
                  "joins": [],
                  "filters": [],
                  "groupBy": [],
                  "sortFields": []
                },
                "recipients": [
                  null
                ],
                "recipientSelector": "string",
                "toggleForAll": true,
                "channel": "email",
                "manualIntegration": {},
                "includeAttachments": true,
                "documentAttachments": [
                  null
                ],
                "subject": "string",
                "currentTriggerPosition": 0,
                "localizedTexts": [
                  null
                ],
                "defaultLanguageId": "string",
                "languageSelector": "string",
                "userEnableable": true,
                "userPermissionFilters": [
                  null
                ]
              },
              "messageAutomationIntegration": {},
              "enabled": true,
              "lastHandled": "2019-08-24T14:15:22Z",
              "template": true,
              "templateCategory": "string"
            },
            "invoiceTermsAndConditions": [
              {
                "language": {},
                "text": "string"
              }
            ],
            "quoteTermsAndConditions": [
              {
                "language": {},
                "text": "string"
              }
            ],
            "transportOrderTermsAndConditions": [
              {
                "language": {},
                "text": "string"
              }
            ],
            "identifiers": [
              {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ]
          },
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "accountType": "default",
          "standardLoadingSize": 0,
          "notes": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "author": {},
              "name": "string",
              "text": "string"
            }
          ],
          "businesses": [
            {}
          ],
          "hasAgreedToPrice": true
        }
      ],
      "vehicleGroups": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "vehicles": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "vin": "string",
              "licensePlate": "string",
              "business": {},
              "pictures": [
                {
                  "language": {},
                  "identifiers": [],
                  "contentMatrix": []
                }
              ],
              "vehicleType": "string",
              "transportMode": "maritime",
              "emissionStandard": "euro0",
              "fuelCapacity": {
                "value": "string",
                "unit": "string"
              },
              "fuelType": "string",
              "maxLinks": 0,
              "loadCapacities": [
                {}
              ],
              "length": {
                "value": "string",
                "unit": "string"
              },
              "height": {
                "value": "string",
                "unit": "string"
              },
              "width": {
                "value": "string",
                "unit": "string"
              },
              "loadLength": {
                "value": "string",
                "unit": "string"
              },
              "loadHeight": {
                "value": "string",
                "unit": "string"
              },
              "loadWidth": {
                "value": "string",
                "unit": "string"
              },
              "maxWeight": {
                "value": "string",
                "unit": "string"
              },
              "emptyWeight": {
                "value": "string",
                "unit": "string"
              },
              "loadLoadMeters": {
                "value": "string",
                "unit": "string"
              },
              "axles": [
                {}
              ],
              "brand": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "logo": {
                  "language": {},
                  "identifiers": [],
                  "contentMatrix": []
                },
                "identifiers": [
                  null
                ],
                "name": "string",
                "description": "string",
                "business": {},
                "url": "string"
              },
              "boardComputers": [
                {
                  "language": {},
                  "vehicle": {},
                  "identifiers": []
                }
              ],
              "operational": true,
              "notes": [
                {
                  "language": {},
                  "author": {}
                }
              ],
              "sensors": [
                {}
              ],
              "fleets": [
                {
                  "language": {},
                  "vehicle": {}
                }
              ],
              "chat": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "title": "string",
                "type": "private",
                "image": {
                  "language": {},
                  "identifiers": [],
                  "contentMatrix": []
                },
                "active": true,
                "starter": {},
                "users": [
                  null
                ],
                "messages": [
                  null
                ],
                "unreadMessages": 0,
                "maxCharacters": 0,
                "latestMessage": {
                  "language": {},
                  "chat": {},
                  "files": [],
                  "replyTo": {},
                  "responses": [],
                  "received": [],
                  "read": [],
                  "identifiers": []
                },
                "identifiers": [
                  null
                ]
              },
              "trip": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "type": "internal",
                "tripNr": "string",
                "remark": "string",
                "route": {
                  "language": {},
                  "expenses": [],
                  "additionalInfo": {},
                  "actors": [],
                  "actions": [],
                  "constraints": [],
                  "identifiers": []
                },
                "stackMap": {
                  "language": {},
                  "stackSnapshots": []
                },
                "status": "draft",
                "planStatus": "ok",
                "routeStatus": "on_route",
                "currentAction": {},
                "transportMode": "maritime",
                "capacityContract": {
                  "language": {},
                  "business": {},
                  "pricingModules": [],
                  "consignments": []
                },
                "vehicle": {},
                "linkedTrip": true,
                "chauffeurs": [
                  null
                ],
                "transportEquipments": [
                  {}
                ],
                "consignments": [
                  null
                ],
                "contextEvents": [
                  {}
                ],
                "documents": [
                  null
                ],
                "actors": [
                  null
                ],
                "actions": [
                  {}
                ],
                "constraints": [
                  null
                ],
                "identifiers": [
                  null
                ],
                "businesses": [
                  {}
                ],
                "startDate": "2019-08-24T14:15:22Z",
                "endDate": "2019-08-24T14:15:22Z",
                "kmStart": 0,
                "kmEnd": 0,
                "booking": {
                  "language": {},
                  "transportOrder": {},
                  "identifiers": []
                },
                "shareSettings": {},
                "externalAttributes": {
                  "property1": {},
                  "property2": {}
                },
                "expectedRevenue": {
                  "language": {},
                  "moneyBuildBlocks": []
                },
                "quote": {
                  "language": {},
                  "lines": [],
                  "subjectBusiness": {},
                  "targetBusiness": {},
                  "creator": {},
                  "transportOrder": {},
                  "invoices": [],
                  "identifiers": [],
                  "documents": []
                },
                "CO2eWTW": 0.1,
                "CO2eTTW": 0.1,
                "nextAction": {},
                "lastAction": {},
                "estimatedDuration": 0,
                "versionNumber": 0,
                "hasAgreedToPrice": true
              },
              "chauffeurs": [
                {
                  "language": {},
                  "user": {},
                  "preferredVehicle": {},
                  "languages": [],
                  "notes": [],
                  "boardComputers": [],
                  "contactDetails": [],
                  "pricingModules": []
                }
              ],
              "transportEquipments": [
                {
                  "language": {},
                  "documents": [],
                  "actors": [],
                  "actions": [],
                  "constraints": [],
                  "identifiers": [],
                  "attributes": [],
                  "axles": [],
                  "containedGoods": [],
                  "requirementCodes": [],
                  "sensors": [],
                  "boardComputers": [],
                  "business": {},
                  "pricingModules": []
                }
              ],
              "actors": [
                {}
              ],
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "cameras": [
                {
                  "language": {},
                  "vehicle": {}
                }
              ],
              "legalStatistics": {
                "lastInstantOfAVehicleOwnerLocation": "2019-08-24T14:15:22Z",
                "countryCabotageStatistics": {},
                "lastInstantOfInternationalTrip": "2019-08-24T14:15:22Z",
                "lastInternationalTripDestinationCountry": "string"
              },
              "capacityContract": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "type": "permanentContract",
                "communicationMethod": "messageAutomation",
                "contract": {
                  "language": {},
                  "contractor": {},
                  "client": {}
                },
                "business": {},
                "administration": {
                  "language": {},
                  "platforms": [],
                  "business": {},
                  "bankAccounts": [],
                  "invoiceNumberIndex": {},
                  "quoteNumberIndex": {},
                  "invoiceTermsAndConditions": [],
                  "quoteTermsAndConditions": [],
                  "transportOrderTermsAndConditions": [],
                  "identifiers": []
                },
                "startTime": "2019-08-24T14:15:22Z",
                "endTime": "2019-08-24T14:15:22Z",
                "selfBilling": true,
                "currency": {
                  "language": {}
                },
                "triggerType": "endOfWeek",
                "pricingModules": [
                  null
                ],
                "lastHandledSelfBilling": "2019-08-24T14:15:22Z",
                "signature": {
                  "language": {}
                },
                "integration": {
                  "language": {},
                  "dataSources": [],
                  "filters": []
                },
                "messageAutomation": {
                  "language": {},
                  "messageAutomationIntegration": {}
                },
                "consignments": [
                  null
                ],
                "purchasedUnits": 0,
                "capacity": {
                  "language": {},
                  "platforms": [],
                  "business": {},
                  "pricingModules": [],
                  "identifiers": []
                }
              },
              "pricingModules": [
                {
                  "language": {},
                  "taxRates": [],
                  "filters": []
                }
              ],
              "attributes": [
                {
                  "language": {}
                }
              ],
              "versionNumber": 0,
              "hasAgreedToPrice": true
            }
          ]
        }
      ],
      "fleets": [
        {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "number": "string",
          "vehicles": [
            {}
          ],
          "teams": [
            {}
          ],
          "businesses": [
            {}
          ]
        }
      ]
    },
    "documents": [
      {
        "associationType": "inline",
        "entity": {
          "nonce": "string",
          "description": "string",
          "expiresAt": "2019-08-24T14:15:22Z",
          "fileName": "string",
          "mimeType": "string",
          "encoding": "string",
          "verified": true,
          "isPublic": true,
          "owner": {
            "associationType": "inline"
          },
          "content": {
            "contentType": "data",
            "data": "string"
          },
          "file": {
            "nonce": "string",
            "url": "string",
            "path": "string",
            "name": "string",
            "originalName": "string",
            "size": 0,
            "purpose": "string",
            "type": "IMAGE",
            "mimeType": "string",
            "extension": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "bucket": {
              "nonce": "string",
              "name": "string"
            },
            "uploadedAt": "2019-08-24T14:15:22Z",
            "tempFile": "string"
          },
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "name": "string"
        }
      }
    ],
    "consignments": [
      {
        "associationType": "inline",
        "entity": {
          "nonce": "string",
          "versionNumber": 0,
          "hasAgreedToPrice": true,
          "orderType": "standard",
          "name": "string",
          "consignmentNr": "string",
          "description": "string",
          "status": "draft",
          "highValueGoods": true,
          "goods": [
            {
              "associationType": "inline"
            }
          ],
          "team": {
            "nonce": "string",
            "emailIntegration": {},
            "vehicleGroups": [
              {
                "nonce": "string",
                "name": "string",
                "vehicles": [
                  {}
                ]
              }
            ],
            "fleets": [
              {
                "nonce": "string",
                "vehicles": [
                  null
                ],
                "teams": [
                  {}
                ],
                "businesses": [
                  {}
                ],
                "name": "string",
                "number": "string"
              }
            ],
            "features": [
              {
                "name": "string",
                "accountTypes": [
                  null
                ]
              }
            ],
            "managers": [
              {}
            ],
            "name": "string",
            "transportOrderPrefix": "string",
            "consignmentPrefix": "string",
            "users": [
              {}
            ]
          },
          "consignment": {},
          "currentLocation": {
            "administrativeReference": {
              "name": "string",
              "street": "string",
              "houseNumber": "string",
              "houseNumberAddition": "string",
              "postalCode": "string",
              "city": "string",
              "country": "string"
            },
            "lat": 0.1,
            "lon": 0.1,
            "speed": {
              "value": "string",
              "unit": "string"
            },
            "heading": {
              "value": "string",
              "unit": "string"
            },
            "bearing": {
              "value": "string",
              "unit": "string"
            },
            "bearingType": "absolute"
          },
          "nextAction": {},
          "lastAction": {},
          "lastPlannedAction": {},
          "isPlannedToLastLocation": true,
          "documents": [
            {
              "associationType": "inline"
            }
          ],
          "actors": [
            {
              "associationType": "inline"
            }
          ],
          "actions": [
            {
              "associationType": "inline"
            }
          ],
          "pricingElements": [
            {
              "nonce": "string",
              "sequenceNr": 0,
              "quantity": 0,
              "name": "string",
              "description": "string",
              "category": {
                "nonce": "string",
                "name": "string",
                "creditCode": "string",
                "debitCode": "string",
                "defaultValue": 0.1,
                "enabled": true,
                "tripRevenue": true,
                "identifiers": [
                  null
                ]
              },
              "business": {},
              "amount": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true
              },
              "subTotal": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true
              },
              "tax": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true
              },
              "total": {
                "amount": 0.1,
                "currency": {},
                "taxRate": {
                  "identifiers": []
                },
                "inclusiveOfTax": true
              }
            }
          ],
          "externalAttributes": {
            "property1": {},
            "property2": {}
          },
          "expectedRevenue": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true,
            "moneyBuildBlocks": [
              {
                "amount": 0.1,
                "relationship": {}
              }
            ]
          },
          "expectedCost": {
            "amount": 0.1,
            "currency": {
              "nonce": "string",
              "name": "string",
              "short": "string",
              "sign": "string",
              "decimalDelimiter": "string",
              "thousandDelimiter": "string",
              "enabled": true
            },
            "taxRate": {
              "nonce": "string",
              "creditCode": "string",
              "debitCode": "string",
              "identifiers": [
                {}
              ],
              "name": "string",
              "description": "string",
              "jurisdiction": "string",
              "percentage": 0.1,
              "inclusive": true,
              "active": true
            },
            "inclusiveOfTax": true,
            "moneyBuildBlocks": [
              {
                "amount": 0.1,
                "relationship": {}
              }
            ]
          },
          "combined": true,
          "type": "string",
          "remark": "string",
          "constraints": [
            {
              "nonce": "string",
              "name": "string",
              "enforceability": "enforced",
              "type": "accessConstraint",
              "description": "string"
            }
          ],
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ],
          "attributes": [
            {
              "nonce": "string",
              "name": "string",
              "color": "string"
            }
          ]
        }
      }
    ],
    "contactDetails": [
      {
        "associationType": "inline",
        "entity": {
          "nonce": "string",
          "type": "iban",
          "value": "string",
          "remarks": "string"
        },
        "description": "string"
      }
    ],
    "identifiers": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "name": "string",
        "system": "string",
        "value": "string",
        "expiredAt": "2019-08-24T14:15:22Z"
      }
    ],
    "pricingElements": [
      {
        "nonce": "string",
        "sequenceNr": 0,
        "quantity": 0,
        "name": "string",
        "description": "string",
        "category": {
          "nonce": "string",
          "name": "string",
          "creditCode": "string",
          "debitCode": "string",
          "defaultValue": 0.1,
          "enabled": true,
          "tripRevenue": true,
          "identifiers": [
            {
              "nonce": "string",
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ]
        },
        "business": {},
        "amount": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true
        },
        "subTotal": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true
        },
        "tax": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true
        },
        "total": {
          "amount": 0.1,
          "currency": {
            "nonce": "string",
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "taxRate": {
            "nonce": "string",
            "creditCode": "string",
            "debitCode": "string",
            "identifiers": [
              {
                "nonce": "string",
                "name": "string",
                "system": "string",
                "value": "string",
                "expiredAt": "2019-08-24T14:15:22Z"
              }
            ],
            "name": "string",
            "description": "string",
            "jurisdiction": "string",
            "percentage": 0.1,
            "inclusive": true,
            "active": true
          },
          "inclusiveOfTax": true
        }
      }
    ],
    "invoices": [
      {
        "nonce": "string",
        "uuid": "string",
        "primaryPlatformId": "string",
        "language": {},
        "administration": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "platforms": [
            {}
          ],
          "name": "string",
          "primary": true,
          "transportOrderPrefix": "string",
          "consignmentPrefix": "string",
          "business": {},
          "currency": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "name": "string",
            "short": "string",
            "sign": "string",
            "decimalDelimiter": "string",
            "thousandDelimiter": "string",
            "enabled": true
          },
          "bankAccounts": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "accountHolderName": "string",
              "accountHolderType": "string",
              "bankName": "string",
              "routingNumber": "string",
              "accountNumber": "string",
              "last4": "string",
              "currency": {
                "nonce": "string",
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "country": "string",
              "validation": {},
              "validated": true,
              "identifiers": [
                {
                  "language": {}
                }
              ]
            }
          ],
          "numberFormat": "string",
          "numberLength": 0,
          "dueDays": 0,
          "invoiceNumberIndex": {
            "property1": 0,
            "property2": 0
          },
          "quoteNumberIndex": {
            "property1": 0,
            "property2": 0
          },
          "invoiceSendMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "automaticallySendReminders": true,
          "invoiceFirstReminderMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "invoiceSecondReminderMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "invoiceThirdReminderMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "invoicePaidMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "quoteSendMessageAutomation": {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "type": "messageAutomation",
            "name": "string",
            "description": "string",
            "automationConfig": {
              "triggerType": "trigger",
              "triggerEvent": "afterCreatingTrip",
              "schedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "uniqueIdentifierSelector": "string",
              "uniqueIdentifierSchedule": {
                "integrationSchedulerScheduleValue": 0,
                "integrationSchedulerScheduleType": "seconds",
                "milliseconds": 0
              },
              "filters": [
                {
                  "filters": []
                }
              ],
              "query": {
                "nonce": "string",
                "fields": [
                  null
                ],
                "entityType": "action",
                "joins": [
                  null
                ],
                "filters": [
                  null
                ],
                "groupBy": [
                  null
                ],
                "having": {},
                "sortFields": [
                  null
                ],
                "sortDirection": "asc",
                "limit": 0,
                "offset": 0
              },
              "recipients": [
                "string"
              ],
              "recipientSelector": "string",
              "toggleForAll": true,
              "channel": "email",
              "manualIntegration": {},
              "includeAttachments": true,
              "documentAttachments": [
                {
                  "reportParameters": {}
                }
              ],
              "subject": "string",
              "currentTriggerPosition": 0,
              "localizedTexts": [
                {}
              ],
              "defaultLanguageId": "string",
              "languageSelector": "string",
              "userEnableable": true,
              "userPermissionFilters": [
                {
                  "filters": []
                }
              ]
            },
            "messageAutomationIntegration": {},
            "enabled": true,
            "lastHandled": "2019-08-24T14:15:22Z",
            "template": true,
            "templateCategory": "string"
          },
          "invoiceTermsAndConditions": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "text": "string"
            }
          ],
          "quoteTermsAndConditions": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "text": "string"
            }
          ],
          "transportOrderTermsAndConditions": [
            {
              "language": {
                "nonce": "string",
                "name": "string",
                "localName": "string",
                "code": "string",
                "iso3166": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "dateFormat": "string",
                "measurementUnit": "metric"
              },
              "text": "string"
            }
          ],
          "identifiers": [
            {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "system": "string",
              "value": "string",
              "expiredAt": "2019-08-24T14:15:22Z"
            }
          ]
        },
        "name": "string",
        "description": "string",
        "reference": "string",
        "paymentReference": "string",
        "status": "concept",
        "reminderCount": 0,
        "direction": "in",
        "currency": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "name": "string",
          "short": "string",
          "sign": "string",
          "decimalDelimiter": "string",
          "thousandDelimiter": "string",
          "enabled": true
        },
        "cancelledReason": "string",
        "lines": [
          {
            "nonce": "string",
            "uuid": "string",
            "primaryPlatformId": "string",
            "language": {},
            "sequenceNr": 0,
            "quantity": 0.1,
            "description": "string",
            "startDateTime": "2019-08-24T14:15:22Z",
            "endDateTime": "2019-08-24T14:15:22Z",
            "plan": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "interval": "endOfWeek",
              "intervalCount": 0,
              "trialPeriodDays": 0,
              "usageElementTypePrices": {
                "property1": [
                  null
                ],
                "property2": [
                  null
                ]
              },
              "identifiers": [
                {
                  "language": {}
                }
              ],
              "startedAt": "2019-08-24T14:15:22Z",
              "expiredAt": "2019-08-24T14:15:22Z",
              "primary": true
            },
            "subscription": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "description": "string",
              "plans": [
                {
                  "language": {},
                  "usageElementTypePrices": {},
                  "identifiers": []
                }
              ]
            },
            "entityId": "string",
            "entityType": "action",
            "quoteLine": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "sequenceNr": 0,
              "optional": true,
              "quantity": 0.1,
              "description": "string",
              "startDateTime": "2019-08-24T14:15:22Z",
              "endDateTime": "2019-08-24T14:15:22Z",
              "plan": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "interval": "endOfWeek",
                "intervalCount": 0,
                "trialPeriodDays": 0,
                "usageElementTypePrices": {
                  "property1": [],
                  "property2": []
                },
                "identifiers": [
                  null
                ],
                "startedAt": "2019-08-24T14:15:22Z",
                "expiredAt": "2019-08-24T14:15:22Z",
                "primary": true
              },
              "subscription": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "description": "string",
                "plans": [
                  null
                ]
              },
              "pricingCategory": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "creditCode": "string",
                "debitCode": "string",
                "defaultValue": 0.1,
                "enabled": true,
                "tripRevenue": true
              },
              "entityId": "string",
              "entityType": "action"
            },
            "pricingCategory": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "name": "string",
              "creditCode": "string",
              "debitCode": "string",
              "defaultValue": 0.1,
              "enabled": true,
              "tripRevenue": true
            },
            "distinctPerInvoiceId": "string"
          }
        ],
        "subjectBusiness": {},
        "targetBusiness": {},
        "contactPerson": {
          "nonce": "string",
          "uuid": "string",
          "primaryPlatformId": "string",
          "language": {},
          "firstName": "string",
          "lastName": "string",
          "position": "string",
          "email": "string",
          "phone": "string",
          "mobilePhone": "string"
        },
        "creator": {},
        "dueAt": "2019-08-24T14:15:22Z",
        "nextReminderDate": "2019-08-24T14:15:22Z",
        "transactions": [
          {
            "nonce": "string",
            "administration": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "platforms": [
                {}
              ],
              "name": "string",
              "primary": true,
              "transportOrderPrefix": "string",
              "consignmentPrefix": "string",
              "business": {},
              "currency": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "name": "string",
                "short": "string",
                "sign": "string",
                "decimalDelimiter": "string",
                "thousandDelimiter": "string",
                "enabled": true
              },
              "bankAccounts": [
                {
                  "language": {},
                  "validation": {},
                  "identifiers": []
                }
              ],
              "numberFormat": "string",
              "numberLength": 0,
              "dueDays": 0,
              "invoiceNumberIndex": {
                "property1": 0,
                "property2": 0
              },
              "quoteNumberIndex": {
                "property1": 0,
                "property2": 0
              },
              "invoiceSendMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "automaticallySendReminders": true,
              "invoiceFirstReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceSecondReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceThirdReminderMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoicePaidMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "quoteSendMessageAutomation": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "type": "messageAutomation",
                "name": "string",
                "description": "string",
                "automationConfig": {
                  "filters": [],
                  "recipients": [],
                  "manualIntegration": {},
                  "documentAttachments": [],
                  "localizedTexts": [],
                  "userPermissionFilters": []
                },
                "messageAutomationIntegration": {},
                "enabled": true,
                "lastHandled": "2019-08-24T14:15:22Z",
                "template": true,
                "templateCategory": "string"
              },
              "invoiceTermsAndConditions": [
                {}
              ],
              "quoteTermsAndConditions": [
                {}
              ],
              "transportOrderTermsAndConditions": [
                {}
              ],
              "identifiers": [
                {
                  "language": {}
                }
              ]
            },
            "name": "string",
            "description": "string",
            "status": "SUCCESS",
            "transferredFrom": "string",
            "transferredTo": "string",
            "creator": {},
            "fromUser": {},
            "fromBusiness": {},
            "toUser": {},
            "toBusiness": {},
            "parent": {},
            "source": {
              "nonce": "string",
              "uuid": "string",
              "primaryPlatformId": "string",
              "language": {},
              "amount": 0,
              "type": "ach_credit_transfer",
              "clientSecret": "string",
              "codeVerification": "string",
              "achCreditTransfer": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "accountNumber": "string",
                "bankName": "string",
                "fingerprint": "string",
                "refundAccountHolderName": "string",
                "refundAccountHolderType": "string",
                "refundRoutingNumber": "string",
                "routingNumber": "string",
                "swiftCode": "string"
              },
              "achDebit": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankName": "string",
                "country": "string",
                "fingerprint": "string",
                "last4": "string",
                "routingNumber": "string",
                "type": "string"
              },
              "acssDebit": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankAddressCity": "string",
                "bankAddressLine1": "string",
                "bankAddressLine2": "string",
                "bankAddressPostalCode": "string",
                "bankName": "string",
                "category": "string",
                "country": "string",
                "fingerprint": "string",
                "last4": "string",
                "routingNumber": "string"
              },
              "alipay": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "dataString": "string",
                "nativeUrl": "string",
                "statementDescriptor": "string"
              },
              "auBecsDebit": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bsbNumber": "string",
                "fingerprint": "string",
                "last4": "string"
              },
              "bancontact": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankCode": "string",
                "bankName": "string",
                "bic": "string",
                "ibanLast4": "string",
                "preferredLanguage": "string",
                "statementDescriptor": "string"
              },
              "card": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "addressLine1Check": "string",
                "addressZipCheck": "string",
                "brand": "string",
                "country": "string",
                "cvcCheck": "string",
                "description": "string",
                "dynamicLast4": "string",
                "expMonth": 0,
                "expYear": 0,
                "fingerprint": "string",
                "funding": "string",
                "iin": "string",
                "issuer": "string",
                "last4": "string",
                "name": "string",
                "threeDSecure": "string",
                "tokenizationMethod": "string"
              },
              "cardPresent": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "applicationCryptogram": "string",
                "applicationPreferredName": "string",
                "authorizationCode": "string",
                "authorizationResponseCode": "string",
                "brand": "string",
                "country": "string",
                "cvmType": "string",
                "dataType": "string",
                "dedicatedFileName": "string",
                "description": "string",
                "emvAuthData": "string",
                "evidenceCustomerSignature": "string",
                "evidenceTransactionCertificate": "string",
                "expMonth": 0,
                "expYear": 0,
                "fingerprint": "string",
                "funding": "string",
                "iin": "string",
                "issuer": "string",
                "last4": "string",
                "posDeviceId": "string",
                "posEntryMode": "string",
                "readMethod": "string",
                "reader": "string",
                "terminalVerificationResults": "string",
                "transactionStatusInformation": "string"
              },
              "eps": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "reference": "string",
                "statementDescriptor": "string"
              },
              "ideal": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bank": "string",
                "bic": "string",
                "ibanLast4": "string",
                "statementDescriptor": "string"
              },
              "klarna": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "backgroundImageUrl": "string",
                "clientToken": "string",
                "firstName": "string",
                "lastName": "string",
                "locale": "string",
                "logoUrl": "string",
                "pageTitle": "string",
                "payLaterAssetUrlsDescriptive": "string",
                "payLaterAssetUrlsStandard": "string",
                "payLaterName": "string",
                "payLaterRedirectUrl": "string",
                "payNowAssetUrlsDescriptive": "string",
                "payNowAssetUrlsStandard": "string",
                "payNowName": "string",
                "payNowRedirectUrl": "string",
                "payOverTimeAssetUrlsDescriptive": "string",
                "payOverTimeAssetUrlsStandard": "string",
                "payOverTimeName": "string",
                "payOverTimeRedirectUrl": "string",
                "paymentMethodCategories": "string",
                "purchaseCountry": "string",
                "purchaseType": "string",
                "redirectUrl": "string",
                "shippingFirstName": "string",
                "shippingLastName": "string"
              },
              "multibanco": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "entity": "string",
                "reference": "string",
                "refundAccountHolderAddressCity": "string",
                "refundAccountHolderAddressCountry": "string",
                "refundAccountHolderAddressLine1": "string",
                "refundAccountHolderAddressLine2": "string",
                "refundAccountHolderAddressPostalCode": "string",
                "refundAccountHolderAddressState": "string",
                "refundAccountHolderName": "string",
                "refundIban": "string"
              },
              "p24": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "reference": "string"
              },
              "sepaCreditTransfer": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankName": "string",
                "bic": "string",
                "iban": "string",
                "refundAccountHolderAddressCity": "string",
                "refundAccountHolderAddressCountry": "string",
                "refundAccountHolderAddressLine1": "string",
                "refundAccountHolderAddressLine2": "string",
                "refundAccountHolderAddressPostalCode": "string",
                "refundAccountHolderAddressState": "string",
                "refundAccountHolderName": "string",
                "refundIban": "string"
              },
              "sepaDebit": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankCode": "string",
                "branchCode": "string",
                "country": "string",
                "fingerprint": "string",
                "last4": "string",
                "mandateReference": "string",
                "mandateUrl": "string"
              },
              "sofort": {
                "nonce": "string",
                "uuid": "string",
                "primaryPlatformId": "string",
                "language": {},
                "bankCode": "string",
[...]
